
%global meadversion 2.0.0
%global namedversion 2.0.0.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-jacc-api_1.5_spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.0.Final-redhat-00001

Name:           %{?scl_prefix}jboss-jacc-api_1.5_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JACC 1.5 API
Group:          Development/Java

%if %with mead
Source100: jacc-parent-2.0.0.Final-redhat-00001-project-sources.tar.gz
Source102: jboss-jacc-api_1.5_spec-2.0.0.Final-redhat-00001.pom
Source103: authorization-spec-2.0.0.Final-redhat-00001.zip
Source104: authorization-spec-2.0.0.Final-redhat-00001.pom
Source105: jboss-jacc-api_1.5_spec-2.0.0.Final-redhat-00001.jar
Source106: jacc-parent-2.0.0.Final-redhat-00001.pom
Source107: jboss-jacc-api_1.5_spec-2.0.0.Final-redhat-00001-javadoc.jar
Source108: jboss-jacc-api_1.5_spec-2.0.0.Final-redhat-00001-sources.jar
%endif

License:        EPL-2.0
URL:            https://github.com/jboss/jboss-jacc-api_spec
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
JSR-000115 Java(TM) Authorization Contract for Containers API.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-jacc-api_1.5_spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jacc-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-jacc-api_1.5_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-jacc-api_1.5_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-jacc-api_1.5_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-jacc-api_1.5_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-jacc-api_1.5_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-jacc-api_1.5_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-jacc-api_1.5_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-jacc-api_1.5_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-jacc-api_1.5_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-jacc-api_1.5_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-jacc-api_1.5_spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.md README.md
%{_javadir}/jboss-jacc-api_1.5_spec-%{namedversion}.jar
%{_javadir}/jboss-jacc-api_1.5_spec.jar
%if %with javadoc
%{_javadir}/jboss-jacc-api_1.5_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-jacc-api_1.5_spec-javadoc.jar
%endif
%{_javadir}/jboss-jacc-api_1.5_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-jacc-api_1.5_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-jacc-api_1.5_spec-%{namedversion}
%{_javadocdir}/jboss-jacc-api_1.5_spec
%endif

%changelog
* Fri Oct 18 2019 Permaine Cheung <pcheung@redhat.com> - 2.0.0-2.Final_redhat_00001.1
- Fix License

* Mon Sep 23 2019 Yong Yang <yyang@redhat.com> - 2.0.0-1.Final_redhat_00001.1
- RPM wrapper build 2.0.0.Final-redhat-00001

* Thu Nov 15 2018 Permaine Cheung <pcheung@redhat.com> - 1.0.2-2.Final_redhat_1.1
- Remove R: to solve install issues

* Fri Jun 22 2018 Yong Yang <yyang@redhat.com> - 1.0.2-1.Final_redhat_1.1
-  1.0.2.Final-redhat-1 for eap 7.2.0

* Tue Nov 07 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.1-3.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Mon Oct 16 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.1-2.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Tue Mar 14 2017 Petr Sakar <psakar@redhat.com> - 1.0.1-1.Final_redhat_1.1
- upgrade to 1.0.1.Final-redhat-1

* Fri Jun 12 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-2.Final_redhat_1.1
- fix Requires

* Fri Jun 12 2015 Hui Wang <huwang@redhat.com> - 1.0.0-1.Final_redhat_1.1
- Initial build


